ceph/train: chown failed: failed to look up user tripleo-admin

Bug #1886497 reported by Emilien Macchi on 2020-07-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
High
Giulio Fidente

Bug Description

Since https://review.opendev.org/#/c/737761 merged, we now have this error on stable/train scenario001 jobs:

TASK [tripleo-ceph-run-ansible : run create_ceph_ansible_remote_tmp command] ***
Sunday 05 July 2020 21:15:40 +0000 (0:00:00.092) 0:24:42.088 ***********
fatal: [undercloud]: FAILED! => {"changed": true, "cmd": "ANSIBLE_LOG_PATH=\"/home/zuul/standalone-ansible-hiHkAJ/ceph-ansible/create_ceph_ansible_remote_tmp.log\" ANSIBLE_SSH_CONTROL_PATH_DIR=\"/tmp/ceph_ansible_control_path\" ANSIBLE_CONFIG=/usr/share/ceph-ansible/ansible.cfg ANSIBLE_REMOTE_TEMP=/tmp/create_ceph_ansible_remote_tmp ANSIBLE_SSH_RETRIES=4 DEFAULT_FORKS=3 ansible-playbook -i /home/zuul/standalone-ansible-hiHkAJ/ceph-ansible/inventory.yml -e ansible_python_interpreter=/usr/bin/python2 /home/zuul/standalone-ansible-hiHkAJ/ceph-ansible/create_ceph_ansible_remote_tmp.yml", "delta": "0:00:01.595495", "end": "2020-07-05 21:15:41.851758", "msg": "non-zero return code", "rc": 2, "start": "2020-07-05 21:15:40.256263", "stderr": "[DEPRECATION WARNING]: The TRANSFORM_INVALID_GROUP_CHARS settings is set to \nallow bad characters in group names by default, this will change, but still be \nuser configurable on deprecation. This feature will be removed in version 2.10.\n Deprecation warnings can be disabled by setting deprecation_warnings=False in \nansible.cfg.\n[WARNING]: Invalid characters were found in group names but not replaced, use\n-vvvv to see details\n[WARNING]: Skipping key (deprecated) in group (overcloud) as it is not a\nmapping, it is a <class 'ansible.parsing.yaml.objects.AnsibleUnicode'>\n[WARNING]: Found both group and host with same name: standalone", "stderr_lines": ["[DEPRECATION WARNING]: The TRANSFORM_INVALID_GROUP_CHARS settings is set to ", "allow bad characters in group names by default, this will change, but still be ", "user configurable on deprecation. This feature will be removed in version 2.10.", " Deprecation warnings can be disabled by setting deprecation_warnings=False in ", "ansible.cfg.", "[WARNING]: Invalid characters were found in group names but not replaced, use", "-vvvv to see details", "[WARNING]: Skipping key (deprecated) in group (overcloud) as it is not a", "mapping, it is a <class 'ansible.parsing.yaml.objects.AnsibleUnicode'>", "[WARNING]: Found both group and host with same name: standalone"], "stdout": "\nPLAY [all] *********************************************************************\n\nTASK [create ceph_ansible_remote_tmp on all nodes with necessary ownership] ****\nSunday 05 July 2020 21:15:41 +0000 (0:00:00.044) 0:00:00.044 *********** \nfatal: [standalone]: FAILED! => changed=false \n gid: 0\n group: root\n mode: '0755'\n msg: 'chown failed: failed to look up user tripleo-admin'\n owner: root\n path: /tmp/ceph_ansible_tmp\n secontext: unconfined_u:object_r:user_tmp_t:s0\n size: 4096\n state: directory\n uid: 0\nfatal: [undercloud]: FAILED! => changed=false \n gid: 0\n group: root\n mode: '0755'\n msg: 'chown failed: failed to look up user tripleo-admin'\n owner: root\n path: /tmp/ceph_ansible_tmp\n secontext: unconfined_u:object_r:user_tmp_t:s0\n size: 4096\n state: directory\n uid: 0\n\nPLAY RECAP *********************************************************************\nstandalone : ok=0 changed=0 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0 \nundercloud : ok=0 changed=0 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0 \n\n\nSunday 05 July 2020 21:15:41 +0000 (0:00:00.464) 0:00:00.508 *********** \n=============================================================================== \ncreate ceph_ansible_remote_tmp on all nodes with necessary ownership ---- 0.46s", "stdout_lines": ["", "PLAY [all] *********************************************************************", "", "TASK [create ceph_ansible_remote_tmp on all nodes with necessary ownership] ****", "Sunday 05 July 2020 21:15:41 +0000 (0:00:00.044) 0:00:00.044 *********** ", "fatal: [standalone]: FAILED! => changed=false ", " gid: 0", " group: root", " mode: '0755'", " msg: 'chown failed: failed to look up user tripleo-admin'", " owner: root", " path: /tmp/ceph_ansible_tmp", " secontext: unconfined_u:object_r:user_tmp_t:s0", " size: 4096", " state: directory", " uid: 0", "fatal: [undercloud]: FAILED! => changed=false ", " gid: 0", " group: root", " mode: '0755'", " msg: 'chown failed: failed to look up user tripleo-admin'", " owner: root", " path: /tmp/ceph_ansible_tmp", " secontext: unconfined_u:object_r:user_tmp_t:s0", " size: 4096", " state: directory", " uid: 0", "", "PLAY RECAP *********************************************************************", "standalone : ok=0 changed=0 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0 ", "undercloud : ok=0 changed=0 unreachable=0 failed=1 skipped=0 rescued=0 ignored=0 ", "", "", "Sunday 05 July 2020 21:15:41 +0000 (0:00:00.464) 0:00:00.508 *********** ", "=============================================================================== ", "create ceph_ansible_remote_tmp on all nodes with necessary ownership ---- 0.46s"]}

Changed in tripleo:
milestone: none → victoria-1
importance: Undecided → High
status: New → Triaged
tags: added: train-backport-potential

Fix proposed to branch: master
Review: https://review.opendev.org/739521

Changed in tripleo:
assignee: nobody → Giulio Fidente (gfidente)
status: Triaged → In Progress

Reviewed: https://review.opendev.org/739521
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=5f07c12adc17bc8ed0e569542b3035b0e5f1dd50
Submitter: Zuul
Branch: master

commit 5f07c12adc17bc8ed0e569542b3035b0e5f1dd50
Author: Giulio Fidente <email address hidden>
Date: Mon Jul 6 17:27:39 2020 +0200

    Use ansible_user instead of ANSIBLE_REMOTE_USER env var

    In 'genereate create_ceph_ansible_remote_tmp playbook' we should
    be using ansible_user because the env var ANSIBLE_REMOTE_USER
    might not always being set.

    Change-Id: I1229d3a0cd2f08dabdcd3b47d9823f6a939cfbdb
    Closes-Bug: 1886497

Changed in tripleo:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/739613
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=a4a15acbe32376b9623369519685c36f67ae48d4
Submitter: Zuul
Branch: stable/train

commit a4a15acbe32376b9623369519685c36f67ae48d4
Author: Giulio Fidente <email address hidden>
Date: Mon Jul 6 17:27:39 2020 +0200

    Use ansible_user instead of ANSIBLE_REMOTE_USER env var

    In 'genereate create_ceph_ansible_remote_tmp playbook' we should
    be using ansible_user because the env var ANSIBLE_REMOTE_USER
    might not always being set.

    Change-Id: I1229d3a0cd2f08dabdcd3b47d9823f6a939cfbdb
    Closes-Bug: 1886497
    (cherry picked from commit 5f07c12adc17bc8ed0e569542b3035b0e5f1dd50)

tags: added: in-stable-train

Change abandoned by John Fulton (<email address hidden>) on branch: stable/train
Review: https://review.opendev.org/742293
Reason: this test served its purpose

Reviewed: https://review.opendev.org/742291
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=42b7a23f04831e360c89d7423854b11090626629
Submitter: Zuul
Branch: stable/train

commit 42b7a23f04831e360c89d7423854b11090626629
Author: John Fulton <email address hidden>
Date: Tue Jul 21 21:27:18 2020 +0000

    Use ansible_user only if ANSIBLE_REMOTE_USER is unset

    In a non-standalone deployment config-download is called
    with the ANSIBLE_REMOTE_USER defined. This variable is
    undefined when using standalone, which is what caused the
    related bug. Unfortunately the fix for the related bug
    introduced the bug this patch closes. This patch should
    work for both non-standalone and standalone deployments.

    Change-Id: Ie7234bf113204e8cf847257554b88b899b45d5ee
    Related-Bug: #1886497
    Closes-Bug: #1887708
    (cherry picked from commit 67c4a4f58e9b8af07c277b1f6c20fa7af116eaf7)

Reviewed: https://review.opendev.org/742405
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=f114ce08e290d23f709a0d9b56c5b9084949dd3e
Submitter: Zuul
Branch: stable/ussuri

commit f114ce08e290d23f709a0d9b56c5b9084949dd3e
Author: John Fulton <email address hidden>
Date: Tue Jul 21 21:27:18 2020 +0000

    Use ansible_user only if ANSIBLE_REMOTE_USER is unset

    In a non-standalone deployment config-download is called
    with the ANSIBLE_REMOTE_USER defined. This variable is
    undefined when using standalone, which is what caused the
    related bug. Unfortunately the fix for the related bug
    introduced the bug this patch closes. This patch should
    work for both non-standalone and standalone deployments.

    Change-Id: Ie7234bf113204e8cf847257554b88b899b45d5ee
    Related-Bug: #1886497
    Closes-Bug: #1887708
    (cherry picked from commit 67c4a4f58e9b8af07c277b1f6c20fa7af116eaf7)

tags: added: in-stable-ussuri

Reviewed: https://review.opendev.org/742287
Committed: https://git.openstack.org/cgit/openstack/tripleo-ansible/commit/?id=67c4a4f58e9b8af07c277b1f6c20fa7af116eaf7
Submitter: Zuul
Branch: master

commit 67c4a4f58e9b8af07c277b1f6c20fa7af116eaf7
Author: John Fulton <email address hidden>
Date: Tue Jul 21 21:27:18 2020 +0000

    Use ansible_user only if ANSIBLE_REMOTE_USER is unset

    In a non-standalone deployment config-download is called
    with the ANSIBLE_REMOTE_USER defined. This variable is
    undefined when using standalone, which is what caused the
    related bug. Unfortunately the fix for the related bug
    introduced the bug this patch closes. This patch should
    work for both non-standalone and standalone deployments.

    Change-Id: Ie7234bf113204e8cf847257554b88b899b45d5ee
    Related-Bug: #1886497
    Closes-Bug: #1887708

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers